# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define _name salt-state-graph
%define _name_dunder salt_state_graph
%define _module salt_state_graph

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           %{_name}
Version:        0.0.7
Release:        %{mybuildnumber}%{?dist}
Summary:        A tool to represent salt states and their dependencies as an acyclic graph

License:        GPLv3+
URL:            https://github.com/Rudd-O/%{_name}
Source:         %{_name_dunder}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

Requires:       (kgraphviewer or xdot)
Requires:       xdg-utils

%global _description %{expand:
This is a tool for visualising the runtime dependency graph of a
Salt highstate.

It takes the json output of state.show_highstate or state.show_sls from
Salt and produces a program written in dot, which is a tool from
Graphviz for defining an acyclic graph.}

%description %_description

%prep
%autosetup -p1 -n %{_name_dunder}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{_module}
echo %{_bindir}/%{_name} >> %{pyproject_files}


%check
%tox


%files -f %{pyproject_files}

%doc README.md


%changelog
* Wed Feb 21 2024 Manuel Amador <rudd-o@rudd-o.com> 0.0.26-1
- First RPM packaging release
